%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                               PSG Type    PSG Object                      Location in Problem Statement             Class
%matrix_s_r2_benchmark                bench       matrix_s_r2                     n/a                                       double
%matrix_s_r2_data                     data        matrix_s_r2                     n/a                                       double
%matrix_s_r2_vars                     vars        matrix_s_r2                     n/a                                       cell
%point_dev_0p75_and_intercept_data    data        point_dev_0p75_and_intercept    Point: point_dev_0p75_and_intercept       double
%point_dev_0p75_and_intercept_vars    vars        point_dev_0p75_and_intercept    Point: point_dev_0p75_and_intercept       cell
%parameter_alpha_data                 data        parameter_alpha                 cvar2_err(parameter_alpha,matrix_s_R2)    double
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = Optimization_subroutine(matrix_s_r2_benchmark,matrix_s_r2_data,matrix_s_r2_vars,point_dev_0p75_and_intercept_data,point_dev_0p75_and_intercept_vars,parameter_alpha_data)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_s_r2',matrix_s_r2_data,matrix_s_r2_vars,matrix_s_r2_benchmark,[]);
count = count+1;
iargstruc_arr(count) = point_pack('point_dev_0p75_and_intercept',point_dev_0p75_and_intercept_data,point_dev_0p75_and_intercept_vars);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'calculate',...
'  cvar2_err(parameter_alpha,matrix_s_R2)',...
'Point: point_dev_0p75_and_intercept',...
' ');
%Change parameters with their values in problem statement:
problem_statement = strrep(problem_statement,'parameter_alpha',num2str(parameter_alpha_data));

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2016.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

